%define		_class		Gtk
%define		_subclass	VarDump
%define		upstream_name	%{_class}_%{_subclass}

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.0.1
Release:	%mkrel 11
Summary:	A simple GUI to example PHP data trees
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Gtk_VarDump/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch

%description
Just a regedit type interface to examine PHP data trees.


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Gtk_VarDump.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Gtk_VarDump.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Gtk_VarDump
fi

%files
%doc docs/Gtk_VarDump/*
%{peardir}/*
%{xmldir}/Gtk_VarDump.xml




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.1-11.mga10
+ Revision: 2216195
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.1-10.mga9
+ Revision: 1817706
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-9.mga8
+ Revision: 1498923
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.1-8.mga7
+ Revision: 1273208
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 951879
- Mageia 6 Mass Rebuild
+ spuhler <spuhler>
- delet gtk2 patch file

* Thu Jan 08 2015 spuhler <spuhler> 1.0.1-6.mga5
+ Revision: 809372
- removed Requires: php-gtk2
 * we obsoleted this not working packages
- pearized spec file
- removed php-gtk2 patch

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 750852
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 687262
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 516715
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 376194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.0.1-1.mga1
+ Revision: 47441
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Gtk_VarDump


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 602114
- new version

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 478681
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.0.0-4mdv2010.0
+ Revision: 441109
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2009.0
+ Revision: 236848
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2008.0
+ Revision: 94912
- attempt to make it use php-gtk2

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2008.0
+ Revision: 15672
- 1.0.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdv2007.0
+ Revision: 81602
- Import php-pear-Gtk_VarDump

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

